Bug 179853 - Kernel update from testing breaks Xorg i810 driver
Kernel update from testing breaks Xorg i810 driver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
NeedsRetesting
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2006-02-03 08:53 EST by Seth Doty
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 18:18:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output from dell m140 (1.89 KB, text/plain)
2006-02-03 18:23 EST, Seth Doty
no flags Details
2.6.11 kernel output. The one that works. (14.07 KB, text/plain)
2006-02-03 21:16 EST, Seth Doty
no flags Details
recent kernel update 2.6.15 (10.71 KB, text/plain)
2006-02-03 21:18 EST, Seth Doty
no flags Details

  None (edit)
Description Seth Doty 2006-02-03 08:53:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1

Description of problem:
I updated my kernel to the 2.6.15-1.1824.FC4 from testing.  On reboot with this kernel xorg will fail to start with a no screens found error in the log.  I use the i810 video driver.

Version-Release number of selected component (if applicable):
2.6.15-1.1824.FC4

How reproducible:
Always

Steps to Reproduce:
1.update to kernel 2.6.15-1.1824.FC4
2.reboot with that kernel
3.
  

Actual Results:  Xorg will not start

Expected Results:  Xorg should have started

Additional info:

some of the output from the Xorg.log file:  

(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 6.8.2, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="X.Org Foundation"
	compiled for 6.8.2, module version = 1.0.2
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "synaptics"
(II) Loading /usr/X11R6/lib/modules/input/synaptics_drv.o
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 4.3.99.902, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="X.Org Foundation"
	compiled for 6.8.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="X.Org Foundation"
	compiled for 6.8.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "i810"
(II) Loading /usr/X11R6/lib/modules/drivers/i810_drv.o
(II) Module i810: vendor="X.Org Foundation"
	compiled for 6.8.2, module version = 1.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 6.8.2, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(II) LoadModule: "kbd"
(II) Loading /usr/X11R6/lib/modules/input/kbd_drv.o
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 6.8.2, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(II) LoadModule: "synaptics"
(II) Reloading /usr/X11R6/lib/modules/input/synaptics_drv.o
(II) I810: Driver for Intel Integrated Graphics Chipsets: i810, i810-dc100,
	i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G, E7221 (i915),
	915GM, 945G
(II) Primary Device is: ISA
(EE) No devices detected.

Fatal server error:
no screens found

#########################################################
on a side note, this is the first kernel since 2.6.11-1.1369_FC4 that boots without the acpi=off option on my laptop. thank you.  I use a dell M140.
Comment 1 Dave Jones 2006-02-03 11:49:25 EST
Can you retry with todays 2.6.15-1.1830_FC4 update please ?
It may be also be related to the necessary udev update that also went out today.
Comment 2 Seth Doty 2006-02-03 18:23:03 EST
Created attachment 124135 [details]
lspci output from dell m140

I updated to the recent kernel update (2.6.15-1.1830_FC4) and to the udev
update as you asked and i still end up with the exact same error.  No Screens
found.	the original 2.6.11-1.1369 kernel is the only one at the moment with
both ACPI working, and an Xserver.  I will attach my lspci output, just in case
it will be needed later.
Comment 3 Dave Jones 2006-02-03 19:16:00 EST
Could you also attach the output of dmesg -s 128000  from both a working and
broken kernel please ?
Comment 4 Seth Doty 2006-02-03 21:07:10 EST
ok, will do, also upon further inspection.  under the newest kernel update
(2.6.15-1.1830) lspci returns no results.  the lspci that i attached earlier was
from the 2.6.11 kernel that works.
Comment 5 Seth Doty 2006-02-03 21:16:42 EST
Created attachment 124144 [details]
2.6.11 kernel output.  The one that works.

this is from the working kernel
Comment 6 Seth Doty 2006-02-03 21:18:08 EST
Created attachment 124145 [details]
recent kernel update 2.6.15

this is from the recent kernel update that is causing the Xorg problems
Comment 7 Dave Jones 2006-02-03 22:29:26 EST
the fact that lspci doesnt output anything is a big clue.
Does it work if you boot with pci=noacpi ?
Comment 8 Seth Doty 2006-02-03 22:40:21 EST
that did it,  perhaps you could explain to me specifically what this does, i
obviously didn't know about this kernel option.
Comment 9 Dave Jones 2006-02-03 22:50:12 EST
It changes the method used for probing for PCI devices from 'asking the BIOS to
do it' to 'do it by hand by poking ports ourselves'.

Both methods *should* do the same thing, so you've found an ACPI bug.
I've added the ACPI developers to the Cc: of this bug, maybe they have some
additional tests they'd like you to run.

As a worst case, we can blacklist your system so that it always uses this method
by default.
Comment 10 Seth Doty 2006-02-03 22:58:53 EST
ok, well at least both things work that i need now, thanks
Comment 11 Seth Doty 2006-02-21 13:55:16 EST
I just installed FC5 test 3 today, the this fix is no longer valid, if i attempt
to disable ACPI in any way, whether its with acpi=off, or with pci=noacpi, i
will boot to a kernel panic.  caused by "unable to find volume group
"VolGroup00"  then obviously complains about cannot mount /dev, /proc, etc.....
 i'm going to try a few different things with the install, but this is with the
default FC5 test 3 kernel.  lspci on the default boot will still produce no
output at all, thus causing xorg to not start, and report back the same error as
before....
Comment 12 Dave Jones 2006-09-16 21:46:47 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 13 Seth Doty 2006-09-16 21:55:34 EDT
FC5 works great on the same laptop and has the entire stable cycle so far.  I
Havn't test with FC6 test 3 because of installer bugs but I expect the same results
Comment 14 Dave Jones 2006-10-16 13:44:50 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 15 Seth Doty 2006-10-30 00:32:50 EST
Worked fine with the listed kernel without any problems, I have just updated to
FC6 and there are also no problems there.

Note You need to log in before you can comment on or make changes to this bug.